#include <stdio.h>

#include "board.h"
#include "periph/gpio.h"
#include "ztimer.h"

int main(void) {
//  gpio_t led = LED0_PIN;// GPIO_PIN(0, 2);
  gpio_init(LED0_PIN, GPIO_OUT);
  gpio_init(BTN0_PIN, GPIO_IN_PU);

  for (;;) {
    if (!gpio_read(BTN0_PIN)) {
      gpio_set(LED0_PIN);
    } else {
      gpio_clear(LED0_PIN);
    }

    ztimer_sleep(ZTIMER_USEC, 10 * US_PER_MS);
  }
  return 0;
}
